Template assets
Delete asset
Removes a specific asset type (icon, logo, logo-wide, or thumbnail) from the template.
Required scopes: template:update
AuthorizationBearer <token>
Sign in with your account. A temporary API token is generated automatically for the selected organization.
In: header
Path Parameters
templateId*string
assetType*string
Value in
"ICON" | "LOGO" | "LOGO_WIDE" | "THUMBNAIL" | "AUTO_GENERATED_LOGO" | "STRIP" | "STRIP_SET"Response Body
*/*
curl -X DELETE "https://api.stemp.app/api/v1/templates/string/assets/ICON"{
"version": "string",
"templateId": "string",
"createdAt": "string",
"assets": {
"icon": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
},
"logo": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
},
"logo-wide": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
},
"thumbnail": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
},
"strip": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
},
"strip-set": {
"config": {
"maxStamps": 0,
"foregroundColor": "string",
"labelColor": "string",
"backgroundColor": "string",
"variant": "string"
},
"strips": {
"property1": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
},
"property2": {
"apple": {
"1x": "string",
"2x": "string",
"3x": "string"
},
"google": "string"
}
}
}
}
}